dpkg-gencontrol(1)

NAZWA
dpkg-gencontrol - tworzy pliki kontrolne Debiana

SKŁADNIA
dpkg-gencontrol [option...]

OPIS
dpkg-gencontrol czyta informacje z rozpakowanego drzewa źródeł pakietu Debiana i generuje plik kontrolny pakietu binarnego (domyślnie jest to debian/tmp/DEBIAN/control), upraszczając podczas tego procesu pola dotyczące zależności.

Pola Pre-Depends, Depends, Recommends oraz Suggests są upraszczane w tej właśnie kolejności przez usuwanie zależności o których wiadomo, że są prawdziwe, ponieważ wynikają z innych, przetworzonych już mocniejszych zależności. Usunięte także będą wszelkie zależności pakietu od samego siebie (dokładniej: usunięte będą wszystkie zależności, które będą prawdziwe po zainstalowaniu bieżącej wersji pakietu). Mówiąc językiem logiki, zachowana będzie część wspólna ze zbioru wszystkich zależności dotyczących tego samego pakietu. Porządek zależności jest zachowywany w takim stopniu, w jakim jest to tylko możliwe: jeżeli jakaś zależność musi być usunięta z powodu innej zależności występującej dalej w danym polu, wypierająca zależność zajmie miejsce tej usuwanej.

Pozostałe pola relacyjne (Enhances, Conflicts, Breaks, Replaces oraz Provides) także są indywidualnie upraszczane przez wyliczanie sumy różnych zależności, jeśli w danym polu pakiet jest wymieniony wiele razy.

dpkg-gencontrol dodaje ponadto wpis dotyczący pakietu binarnego do debian/files.

OPCJE

-vwersja
    Ustawia numer wersji generowanego pakietu binarnego.

-Vnazwa=wartość
    Ustawia zmienną podstawienia wyjścia. Szczegółowy opis podstawiania zmiennych wyjściowych znajduje się w deb-substvars(5).

-Tplik_zmiennych_podst
    Read substitution variables in substvarsfile; the default is debian/substvars. This option can be used multiple times to read substitution variables from multiple files.

-Dpole=wartość
    Nadpisuje lub dodaje wyjściowe pole pliku kontrolnego.

-Upole
    Usuwa wyjściowe pole pliku kontrolnego.

-cplik_kontrolny
    Określa główny plik kontrolny, z którego będą czytane informacje. Domyślnie jest to debian/control.

-ldziennik_zmian
    Określa dziennik zmian, z którego będą czytane informacje. Domyślnym plikiem jest debian/changelog.

-fplik_z_listą_plików
    Czyta lub zapisuje listę plików wydania do pliku podanego jako argument tej opcji, zamiast do pliku debian/files.

-Fformat_dziennika_zmian
    Określa format dziennika zmian. Domyślnie format jest czytany ze specjalnej linii znajdującej się przy końcu pliku lub - jeśli taka linia nie istnieje - używany jest standardowy format Debiana.

-ppakiet
    Generuje informacje o pakiecie binarnym pakiet. Jeżeli plik kontrolny pakietu źródłowego wymienia tylko jeden pakiet binarny, to opcję tę można pominąć, w przeciwnym wypadku wymagane jest wskazanie, dla którego pakietu binarnego wygenerować informacje.

-nnazwa_pliku
    Określa, że nazwą pliku pakietu będzie nazwa_pliku zamiast normalnej nazwy pliku w postaci pakiet_wersja_architektura.deb

-is, -ip, -isp
    Te opcje są ignorowane w celu zachowania kompatybilności ze starszymi wersjami dpkg-dev, obecnie są uznawane za przestarzałe. Poprzednio były używane do nakazania programowi dpkg-gencontrol włączenia pól Section i Priority do pliku kontrolnego. Obecnie jest to domyślne zachowanie. Aby uzyskać poprzednie zachowanie, można użyć opcji -U, dzięki której można usunąć powyższe pola z pliku kontrolnego.

-Pkatalog_budowania_pakietu
    Mówi programowi dpkg-source, że pakiet jest budowany w katalogu_budowania_pakietu, zamiast w debian/tmp. Katalog ten jest używany do znalezienia domyślnych wartości zmiennej podstawiania Installed-Size i pola w pliku kontrolnym o tej samej nazwie (przy użyciu du) oraz domyślnej lokalizacji pliku wynikowego.

-O  Wypisuje plik kontrolny na standardowe wyjście, a nie do pliku debian/tmp/DEBIAN/control (lub katalogu_budowania_pakietu/DEBIAN/control, gdy użyto -P).

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

PLIKI

debian/control
    Główny plik kontrolny, zawierający niezależne od wersji informacje zarówno o pakiecie źródłowym, jak i o pakietach binarnych, które są tworzone z pakietu źródłowego.

debian/files
    Lista wygenerowanych plików, które są częścią przygotowywanego wydania. dpkg-gencontrol zapisuje tutaj przypuszczalne nazwy plików-pakietów binarnych generowanych z pliku kontrolnego.

AUTORZY
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007-2008 Raphaël Hertzog

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008